/*  $Revision: 1.4 $
**
*/
#include <stdio.h>
#include <sys/types.h>
#include "configdata.h"
#include "clibrary.h"
#include "libinn.h"
#include "nntp.h"


/*
**  Send a string of one or more lines down a stdio FILE using RFC977
**  conventions.  Return -1 on error.
*/
int
NNTPsendarticle(p, F, Terminate)
    register char	*p;
    register FILE	*F;
    BOOL		Terminate;
{
    register char	*next;
    register char	save;

    for (; p && *p; next[-1] = '\n', p = next) {
	/* Get pointer to next line.  Truncate long lines. */
	if ((next = strchr(p, '\n')) != NULL) {
	    *next++ = '\0';
	    if (next - p > NNTP_STRLEN) {
		save = p[NNTP_STRLEN - 1];
		p[NNTP_STRLEN - 1] = '\0';
	    }
	}

	/* Write line. */
	if (*p == '.' && putc('.', F) == EOF)
	    return -1;
	if (fprintf(F, "%s\r\n", p) == EOF)
	    return -1;

	/* Done? */
	if (next == NULL)
	    break;

	/* If line was too long, untruncate. */
	if (next - p > NNTP_STRLEN)
	    p[NNTP_STRLEN - 1] = save;
    }

    if (Terminate && fprintf(F, ".\r\n") == EOF)
	return -1;

    return fflush(F) == EOF || ferror(F) ? -1 : 0;
}
